SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 438293 - Review Request: monosim- Manage your SIM Card contacts with pcsc readers
Summary: Review Request: monosim- Manage your SIM Card contacts with pcsc readers
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: http://www.integrazioneweb.com/monosim
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-20 08:48 UTC by Armando Basile
Modified: 2008-04-01 21:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-27 20:32:32 UTC
Type: ---
mtasaka: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Armando Basile 2008-03-20 08:48:30 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 4 Mamoru TASAKA 2008-03-26 12:54:35 UTC
Well, seems okay, however would you explain why you want
the following Requries (especially pcsc-lite-devel?)

----------------------------------------------------------------------
Requires: pcsc-lite >= 1.0.0
Requires: pcsc-lite-libs >= 1.0.0
Requires: pcsc-lite-devel >= 1.0.0
----------------------------------------------------------------------

Comment 5 Armando Basile 2008-03-26 13:15:54 UTC
monosim need libpcsclite.so installed, but i see that is already in 
pcsc-lite-libs so i have to generate 1.3.0.3 without pcsc-lite-devel
:-)

in other distro libpcsclite.so is included in -devel package

Comment 6 Mamoru TASAKA 2008-03-26 13:28:51 UTC
(In reply to comment #5)
> monosim need libpcsclite.so installed,
If only this library is needed, then "Requires: pcsc-lite" can also
be removed.

Comment 7 Armando Basile 2008-03-26 14:51:56 UTC
monosim need also pcsc-lite because it install pcscd (daemon of pcsc service)

Comment 8 Armando Basile 2008-03-26 15:49:15 UTC
unfortunatelly /usr/lib/libpcsclite.so is installed with pcsc-lite-devel
pcsc-lite-libs install /usr/lib/libpcsclite.so.1

i could try to use ln -s /usr/lib/libpcsclite.so.1 /usr/lib/libpcsclite.so
but could be some problems if -devel package is install after.

i think that best thing could be install -devel package (that install also -libs)


Comment 9 Mamoru TASAKA 2008-03-26 16:47:55 UTC
Okay, I understand the situation.
I accept this package as 1.3.0.2.

- srpm description okay
- tarball matches upstream
- Package builds
  http://koji.fedoraproject.org/koji/taskinfo?taskID=528652
- Can be installed (by yum)
- Seems to work.

---------------------------------------------------------------------------
      This package (monosim) is APPROVED by me
---------------------------------------------------------------------------

Comment 10 Armando Basile 2008-03-26 17:09:18 UTC
New Package CVS Request
=======================
Package Name: monosim
Short Description: Manage your SIM Card contacts with pcsc readers
Owners: hman
Branches: F-7 F-8
InitialCC: mtasaka@ioa.s.u-tokyo.ac.jp
Cvsextras Commits: yes

Comment 11 Kevin Fenzi 2008-03-27 03:02:44 UTC
Should the Owner name here be 'hman-it' due to the switcharound to fix your certs?



Comment 12 Armando Basile 2008-03-27 06:42:40 UTC
New Package CVS Request
=======================
Package Name: monosim
Short Description: Manage your SIM Card contacts with pcsc readers
Owners: hman-it
Branches: F-7 F-8
InitialCC: mtasaka@ioa.s.u-tokyo.ac.jp
Cvsextras Commits: yes

Comment 13 Dennis Gilmore 2008-03-27 14:54:30 UTC
CVS Done

Comment 14 Fedora Update System 2008-03-29 18:40:20 UTC
monosim-1.3.0.2-1.fc7 has been submitted as an update for Fedora 7

Comment 15 Fedora Update System 2008-03-29 18:41:11 UTC
monosim-1.3.0.2-1.fc8 has been submitted as an update for Fedora 8

Comment 16 Fedora Update System 2008-04-01 21:34:21 UTC
monosim-1.3.0.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2008-04-01 21:34:36 UTC
monosim-1.3.0.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.